
package de.ivu.elect.business.personenpruefung.entity;

import de.ivu.elect.business.kandidatur.entity.Kandidatur;
import de.ivu.elect.business.kandidatur.entity.Listenkandidatur;
import de.ivu.elect.business.wahl.entity.NlWahlart;
import de.ivu.elect.business.wahl.entity.Wahl;

public class NlKandidaturKonfliktPersonenregisterAbgleich {

  public NlKandidaturKonfliktPersonenregisterAbgleich() {
    super();
  }

  public static boolean isUnterstuetzt(Wahl wahl) {
    return wahl != null && NlWahlart.valueOf(wahl).isPersonenregisterAbgleichUnterstuetzt();
  }

  public static boolean isAbzugleichen(Kandidatur kandidatur) {
    return kandidatur != null && kandidatur.isInstanceOf(getKandidaturClass());
  }

  public static Class< ? extends Kandidatur> getKandidaturClass() {
    return Listenkandidatur.class;
  }
}
